c # application / solution in NET 3.5 but needed reference NET 4.0

I have a c# application / solution ( only few classes and files) which is NET 3.5. So under target framework you see 3.5.

But 1 reference (System.Xaml) is from NET 4.0.

And i am not allowed to switch the whole solution to NET 4.0. How can i use System.Xaml (4.0) within a solution targeting 3.5?

edit: Is it possible to have within 1 solution 2 projects, where one targets NET 3.5 and the other targets 4.0. the point is that within the 3.5 project some other application is "started" which accepts only 3.5

Answers


You can't. It operates on a newer CLR.


Need Your Help

How to force Opera's hover triggering

javascript css hover opera

I have a strange problem with hover in Opera browser.